Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000882Core InformAssertions and creationspublic2012-03-14 16:072014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000882: "Use ineffectual" breaks I6
DescriptionI know that "Use ineffectual" is not documented, but it is advertised in the index, making it "valid" for the purposes of the "effect". I'm not sure what it's supposed to do (based on the name I'd guess it's supposed to be a no-op), but I'm pretty sure that this isn't it.

Wasn't at all sure what category this belongs to, so I put it in "assertions and creations" since I think "Use whatever" counts as an assertion. Sorry if I got it wrong.
Minimal Source Text To Reproduce
"Test"

Use ineffectual.
The cave is a room.
Additional InformationC:\Program Files (x86)\Inform 7\Compilers\ni \
    -rng -rules "C:\Program Files (x86)\Inform 7\Inform7\Extensions" -package "C:\Users\norrik2\Documents\Inform\Projects\Scratch.inform" -extension=z5
Inform 7 build 6G60 has started.
I've now read your source text, which is 8 words long.
I've also read Standard Rules by Graham Nelson, which is 39455 words long.

  The 8-word source text has successfully been translated into an intermediate
    description which can be run through Inform 6 to complete compilation.
    There were 1 room and 1 thing.
Inform 7 has finished.

C:\Program Files (x86)\Inform 7\Compilers\inform-632 \
    -wSDv5 +include_path=..\Source,.\ auto.inf output.z5
Inform 6.32 for Win32 (18th November 2010)
auto.inf(45): Error: Expected directive, '[' or class name but found ;
> ;
Compiled with 1 error and 1383 suppressed warnings (no output)

Compiler finished with code 1
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0002074)
graham (administrator)
2013-06-01 13:06

Fixed, though honestly it hardly matters. "Use ineffectual" exists so that the ineffectual use option can be a harmless default value for its kind; a sort of zero among use options.

- Issue History
Date Modified Username Field Change
2012-03-14 16:07 NYKevin New Issue
2012-03-15 06:20 EmacsUser Reproducibility have not tried => always
2012-03-15 06:20 EmacsUser Status new => confirmed
2013-06-01 13:06 graham Note Added: 0002074
2013-06-01 13:06 graham Status confirmed => resolved
2013-06-01 13:06 graham Resolution open => fixed
2013-06-01 13:06 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker